FLANG

Public Member Functions | List of all members
Fortran::parser::Provenance Class Reference

## Public Member Functions
| Provenance (std::size_t offset)
| Provenance (const Provenance &that)=default
| Provenance (Provenance &&that)=default
Provenance & | operator= (const Provenance &that)=default
Provenance & | operator= (Provenance &&that)=default
std::size_t | offset () const
Provenance | operator+ (ptrdiff_t n) const
Provenance | operator+ (std::size_t n) const
std::size_t | operator- (Provenance that) const
bool | operator< (Provenance that) const
bool | operator<= (Provenance that) const
bool | operator== (Provenance that) const
bool | operator!= (Provenance that) const

The documentation for this class was generated from the following file:

- include/flang/Parser/provenance.h